using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Models.Playlist;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Playlist;

[YApiRequest(WebRequestMethods.Http.Get, "users/{user}/playlists/{kind}")]
public class YGetPlaylistBuilder : YRequestBuilder<YResponse<YPlaylist>, (string user, string kind)>
{
    public YGetPlaylistBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override Dictionary<string, string> GetSubstitutions((string user, string kind) tuple)
    {
        return new Dictionary<string, string> {
            { "user", tuple.user },
            { "kind", tuple.kind },
        };
    }
}